# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    def get_vers_winff(soft):
        if isfile(makepath(install_location(soft["key"]), "winff.exe")):
            return get_file_properties(makepath(install_location(soft["key"]), "winff.exe"))["FileVersion"]

    versionpaquet = control["version"].split("-", 1)[0]
    install_exe_if_needed(
        "WinFF-%s-Setup.exe" % versionpaquet,
        silentflags="/VERYSILENT /NORESTART",
        key="WinFF_is1",
        min_version=versionpaquet,
        get_version=get_vers_winff,
    )
