# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    import json

    proxies = {}
    if isfile(makepath(application_data(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    dataversion = [
        i
        for i in json.loads(
            wgets("https://storage.googleapis.com/google-code-archive/v2/code.google.com/winff/downloads-page-1.json", proxies=proxies)
        )["downloads"]
        if i["filename"].endswith(".exe")
        if not "win64-setup" in i["filename"]
    ][0]
    filename = dataversion["filename"]
    urldownload = "https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/winff/" + filename

    #    lastversion = wgets('https://www.videohelp.com/software/WinFF',proxies=proxies).split('-Setup.exe')[0].split('-')[-1]
    #    filename = 'WinFF-%s-Setup.exe' % lastversion
    #    tmpurldownload = 'https://www.videohelp.com/software?d=WinFF-%s-Setup.exe' % lastversion
    #    iddownlaod = wgets(tmpurldownload).split('">Download')[0].split('.exe')[-1]
    #    urldownload = 'https://www.videohelp.com/download/%s' % (filename + iddownlaod)

    for exe in glob.glob("*.exe"):
        if exe != filename:
            remove_file(exe)

    if not isfile(filename):
        wget(urldownload, filename, proxies=proxies)
    else:
        print("Already up to date, skipped")

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = get_file_properties(filename)["ProductVersion"] + "-0"
    pe.save_control_to_wapt(os.getcwd())
